
Foreman - Bug #27587

User administrator flag in Administer -> Users not working properly

08/12/2019 09:19 AM - Fabrice Brimioulle

Status: Need more information   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When assigning the administrator flag to a user in Administer -> Users for a user with restricted authorization (e.g. by assigned roles

with filtered permissions) some of those filtered permissions might not be granted despite the administrator status.

History

#1 - 08/12/2019 10:34 AM - Tomer Brisker

When setting administrator flag, all user permission checks always pass so that limited roles have no affect on the user - could you be more specific

about what permissions are still not granted properly?

#2 - 08/12/2019 10:36 AM - Tomer Brisker

- Status changed from New to Need more information

#3 - 08/19/2019 07:43 AM - Fabrice Brimioulle

- File Role_Restart_service_only.png added

- File Reports.png added

Example:

-Create the role "Restart service only" (see attaches screen shot)

-Assign it to a user

-Check the flag "Administrator" for this user

-Now go on a "not-CentOS"-Host and try to show the reports:

although the user is marked as administrator and there are reports available, this user cannot see the reports (see second screen shot)

#4 - 07/15/2020 01:30 PM - Tomer Brisker

- Category changed from 218 to Users, Roles and Permissions

Files

Role_Restart_service_only.png 87.6 KB 08/19/2019 Fabrice Brimioulle

Reports.png 35 KB 08/19/2019 Fabrice Brimioulle
